Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.clearspace
Class ClearspaceMUCTranscriptEvent

    java.lang.Object
      org.jivesoftware.openfire.clearspace.ClearspaceMUCTranscriptEvent

    public class ClearspaceMUCTranscriptEvent

extends Object

A MUC event that is intended to be recorded in a transcript for a group chat room in Clearspace.

Author:
  Armando Jagucki

Nested Class Summary
`static class` | `ClearspaceMUCTranscriptEvent.Type`

Field Summary
`String` | `content`
`org.xmpp.packet.JID` | `roomJID`
`long` | `timestamp`
`ClearspaceMUCTranscriptEvent.Type` | `type`
`org.xmpp.packet.JID` | `user`

Constructor Summary
`ClearspaceMUCTranscriptEvent()`

Method Summary
`static ClearspaceMUCTranscriptEvent` | `messageReceived(org.xmpp.packet.JID roomJID, org.xmpp.packet.JID user, String body, long timestamp)`
`static ClearspaceMUCTranscriptEvent` | `occupantJoined(org.xmpp.packet.JID roomJID, org.xmpp.packet.JID user, long timestamp)`
`static ClearspaceMUCTranscriptEvent` | `occupantLeft(org.xmpp.packet.JID roomJID, org.xmpp.packet.JID user, long timestamp)`
`static ClearspaceMUCTranscriptEvent` | `roomDestroyed(org.xmpp.packet.JID roomJID, long timestamp)`
`static ClearspaceMUCTranscriptEvent` | `roomSubjectChanged(org.xmpp.packet.JID roomJID, org.xmpp.packet.JID user, String newSubject, long timestamp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    public ClearspaceMUCTranscriptEvent.Type type

### timestamp

    public long timestamp

### content

    public String content

### roomJID

    public org.xmpp.packet.JID roomJID

### user

    public org.xmpp.packet.JID user

Constructor Detail

### ClearspaceMUCTranscriptEvent

    public ClearspaceMUCTranscriptEvent()

Method Detail

### roomDestroyed

    public static ClearspaceMUCTranscriptEvent roomDestroyed(org.xmpp.packet.JID roomJID,
                                                             long timestamp)

### occupantJoined

    public static ClearspaceMUCTranscriptEvent occupantJoined(org.xmpp.packet.JID roomJID,
                                                              org.xmpp.packet.JID user,
                                                              long timestamp)

### occupantLeft

    public static ClearspaceMUCTranscriptEvent occupantLeft(org.xmpp.packet.JID roomJID,
                                                            org.xmpp.packet.JID user,
                                                            long timestamp)

### messageReceived

    public static ClearspaceMUCTranscriptEvent messageReceived(org.xmpp.packet.JID roomJID,
                                                               org.xmpp.packet.JID user,
                                                               String body,
                                                               long timestamp)

### roomSubjectChanged

    public static ClearspaceMUCTranscriptEvent roomSubjectChanged(org.xmpp.packet.JID roomJID,
                                                                  org.xmpp.packet.JID user,
                                                                  String newSubject,
                                                                  long timestamp)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.